{ config, lib, pkgs, ... }:
{
  imports = [
    ./nginx
    ./user
  ];

  config = lib.mkIf config.services.fileserver.enable {
    services.nextcloud = {
      enable = true;
      package = pkgs.nextcloud30;
      hostName = "files.nixfox.ca";
      https = true;
      config = {
        adminuser = config.sysusers.main;
        adminpassFile = "${pkgs.writeText "initial" config.secrets.initialPass}";
      };
      settings = {
        trusted_proxies = [ "127.0.0.1" ];
        trusted_domains = [ config.services.nextcloud.hostName ];
        overwriteprotocol = "https";
        mail_smtphost = "mx.nixfox.ca";
        mail_domain = "nixfox.ca";
        mail_from_address = "noreply";
        mail_smtpauth = "true";
        mail_smtpname = "noreply@nixfox.ca";
        mail_smtppassword = config.secrets.mailPass.nixfoxNoReply;
        mail_smtpmode = "smtp";
        mail_smtpport = 587;
      };
    };
    environment.persistence."/persist".directories = [ "/var/lib/nextcloud" ];
  };
}
