{ config, lib, minecraft, ... }:
{
  imports = [
    ./servers/default.nix
    minecraft.nixosModules.minecraft-servers
  ];

  config = lib.mkIf config.services.minecraft-servers.enable {
    nixpkgs = {
      overlays = [ minecraft.overlay ];
      allowUnfreePackages = [ "minecraft-server" ];
    };

    services = {
      minecraft-servers.eula = true;
      mysql = {
        ensureDatabases = [ "minecraft" ];
        ensureUsers = [{
          name = "minecraft";
          ensurePermissions."minecraft.*" = "ALL PRIVILEGES";
        }];
      };
    };

    environment.persistence."/persist".directories = [ "/srv/minecraft" ];
  };
}
